/* This is an example ARexx script for use with MidiPlay.
   Use the following parameter: FILENAMEREXX=ThisScript.rexx
   When MidiPlay has loaded a new file, it calls ThisScript.
   Argument consists of drive, path, file and extension of the filename.

   This particular example tries to view a text file with a name
   '.../file.txt' when loaded file was '.../file.mid'. 
*/

options results

parse arg Drive ',' Path ',' File ',' Extension .

if Path == "" then Path2 = Path
else Path2 = Path || '/'

Ext2 = "txt"
Whole =  '' || Drive || Path2 || File || '.' || Ext2 || ''

address command

if exists(Whole) then
  'run more' '"'Whole'"'
