
/* Raw key codes */
#define	KEY_TILDE			0x00
#define	KEY_1				0x01
#define	KEY_2				0x02
#define	KEY_3				0x03
#define	KEY_4				0x04
#define	KEY_5				0x05
#define	KEY_6				0x06
#define	KEY_7				0x07
#define	KEY_8				0x08
#define	KEY_9				0x09
#define	KEY_0				0x0A

#define	KEY_P1				0x1d
#define	KEY_P2				0x1e
#define	KEY_P3				0x1f
#define	KEY_P4				0x2d
#define	KEY_P5				0x2e
#define	KEY_P6				0x2f
#define	KEY_P7				0x3d
#define	KEY_P8				0x3e
#define	KEY_P9				0x3f
#define	KEY_P0				0x0f
#define	KEY_PPLUS			0x5e
#define	KEY_PMINUS			0x4a
#define	KEY_PLBRACE			0x5a
#define	KEY_PRBRACE			0x5b
#define	KEY_PSLASH			0x5c
#define	KEY_PSTAR			0x5d
#define	KEY_PDEL			0x3c



#define	KEY_SPACE			0x40
#define	KEY_BACKSPACE		0x08
#define	KEY_TAB				0x42
#define	KEY_ENTER			0x43
#define	KEY_RETURN			0x44
#define	KEY_ESC				0x45
#define	KEY_DEL				0x46
#define	KEY_UP				0x4c
#define	KEY_DOWN			0x4d
#define	KEY_LEFT			0x4f
#define	KEY_RIGHT			0x4e
#define	KEY_F1				0x50
#define	KEY_F2				0x51
#define	KEY_F3				0x52
#define	KEY_F4				0x53
#define	KEY_F5				0x54
#define	KEY_F6				0x55
#define	KEY_F7				0x56
#define	KEY_F8				0x57
#define	KEY_F9				0x58
#define	KEY_F10				0x59
#define	KEY_HELP			0x5f
#define	KEY_LSHIFT			0x60
#define	KEY_RSHIFT			0x61
#define	KEY_CAPSLOCK		0x62
#define	KEY_CTRL			0x63
#define	KEY_LALT			0x64
#define	KEY_RALT			0x65
#define	KEY_LAMI			0x66
#define	KEY_RAMI			0x67
#define	KEY_LMOUSE			0x68
#define	KEY_RMOUSE			0x69
#define	KEY_MMOUSE			0x6A
#define	KEY_UPTRANS			0x80
#define	KEY_LASTBAD			0xf9
#define	KEY_OVERFLOW		0xfa
#define	KEY_TESTFAIL		0xfc
#define	KEY_POWERUP_START	0xfd
#define	KEY_POWERUP_END		0xfe
#define	KEY_MOUSE_EVENT		0xff
